%define	name	xchm
%define version	1.20
%define docversion 1.10
%define	release	%mkrel 4

%define	Summary	CHM viewer for UNIX

Name:		%name
Version:	%version
Release:	%release
Summary:	%Summary
License:	GPLv2+
Group:		Publishing
URL:		http://xchm.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	libchm-devel
BuildRequires:	wxgtku-devel
BuildRequires:	desktop-file-utils

%description
xCHM - the CHM viewer for UNIX

%prep
%setup -q

%build
%configure2_5x --with-wx-config=%{_bindir}/wx-config
%make

%install
%makeinstall_std

for resolution in 16 32 48 128; do
	dir=%buildroot%_iconsdir/hicolor/${resolution}x${resolution}/
 	mkdir -p $dir/apps $dir/mimetypes
 	install -p -m644 art/xchm-${resolution}.xpm $dir/apps/xchm.xpm
 	install -p -m644 art/xchmdoc-${resolution}.xpm $dir/mimetypes/application-x-chm.xpm
	ln -s application-x-chm.xpm $dir/mimetypes/gnome-mime-application-x-chm.xpm
done

#mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
#%__install -m 644 %SOURCE2 %buildroot%_iconsdir/hicolor/16x16/apps/%name.png
#%__install -m 644 %SOURCE3 %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
#%__install -m 644 %SOURCE4 %buildroot%_iconsdir/hicolor/48x48/apps/%name.png

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xchm
Comment=CHM viewer for UNIX
Exec=xchm
Icon=xchm
Type=Application
Categories=GTK;Office;Viewer;
EOF

#remove as obsolete (2006)
#
#d %name-%docversion-doc/latex/
#ake
#

# Doc are install elsewhere
#remove as obsolete (2006)
#rm -fr %buildroot/%_datadir/doc

%find_lang %name

%files -f %name.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%name
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.xpm


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.20-4.mga3
+ Revision: 386698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.20-3.mga3
+ Revision: 330941
- fix wxgtk usage

* Sun Jul 24 2011 ahmad <ahmad> 1.20-2.mga2
+ Revision: 128212
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jul 06 2011 dams <dams> 1.20-1.mga2
+ Revision: 119128
- silent update source
- update to 1.20
- clean spec
- remove doc as obsolete since 2006
- install icons from the package

* Sun May 08 2011 grenoya <grenoya> 1.17-1.mga1
+ Revision: 96390
- clean old Mdv syntax
- imported package xchm

